Delete Email¶
POST /rest/asset/v2/email/{id}/delete
Method: POST
Path: /rest/asset/v2/email/{id}/delete
Tag: Emails (New)
Operation ID: deleteContentUsingPOST_email
Deletes an email asset by its ID. Required Permissions: Read-Write Assets, Access Design Studio, Delete Email.
Formats¶
- Request:
application/json - Response:
application/json
Request¶
Path parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
id |
string | Yes | id |
Query parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
access_token |
string | Yes | Token for Authorization |
Header parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
x-app-type |
string | Yes | Application type header | enum: marketo |
Example request¶
POST {{base_url}}/rest/asset/v2/email/{{id}}/delete?access_token={{access_token}}
x-app-type: marketo
Accept: application/json
Responses¶
200 — OK¶
Schema: model: DeleteResponse
Generated example¶
Referenced models¶
default — Error¶
Schema: model: ErrorResponse
Generated example¶
{
"success": true,
"requestId": "123",
"errors": [
{
"key": "string",
"message": "string",
"code": "string",
"dynamicMessage": "string",
"type": "string",
"source": "string",
"errorMessage": "string",
"errorPosition": {
"line": 123,
"column": 123
}
}
]
}
Referenced models¶
Source¶
Generated from swagger-asset.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.